Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.4/SlaveItem.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.4/SlaveItem.cs	(revision 5597)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.4/SlaveItem.cs	(revision 5599)
@@ -22,9 +22,9 @@
 using System;
 using System.ServiceModel;
-using HeuristicLab.Clients.Hive.Slave.ServiceContracts;
+using HeuristicLab.Clients.Hive.SlaveCore.ServiceContracts;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
 
-namespace HeuristicLab.Clients.Hive.Slave.Views {
+namespace HeuristicLab.Clients.Hive.SlaveCore.Views {
 
   [CallbackBehavior(ConcurrencyMode = ConcurrencyMode.Reentrant)]
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.4/SlaveView.Designer.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.4/SlaveView.Designer.cs	(revision 5597)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.4/SlaveView.Designer.cs	(revision 5599)
@@ -20,5 +20,5 @@
 #endregion
 
-namespace HeuristicLab.Clients.Hive.Slave.Views {
+namespace HeuristicLab.Clients.Hive.SlaveCore.Views {
   partial class SlaveView {
     /// <summary> 
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.4/SlaveView.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.4/SlaveView.cs	(revision 5597)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.4/SlaveView.cs	(revision 5599)
@@ -26,5 +26,5 @@
 
 
-namespace HeuristicLab.Clients.Hive.Slave.Views {
+namespace HeuristicLab.Clients.Hive.SlaveCore.Views {
 
   [View("HeuristicLab Slave View")]
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/ConfigManager.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/ConfigManager.cs	(revision 5597)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/ConfigManager.cs	(revision 5599)
@@ -24,9 +24,8 @@
 using System.Diagnostics;
 using System.Management;
-using HeuristicLab.Clients.Hive.Slave.Properties;
-using HeuristicLab.Services.Hive.Common.DataTransfer;
+using HeuristicLab.Clients.Hive.SlaveCore.Properties;
 
 
-namespace HeuristicLab.Clients.Hive.Slave {
+namespace HeuristicLab.Clients.Hive.SlaveCore {
   /// <summary>
   /// accesses the Server and sends his data (uuid, uptimes, hardware config) 
@@ -44,5 +43,5 @@
 
     public Core Core { get; set; }
-    private HeuristicLab.Services.Hive.Common.DataTransfer.Slave slave;
+    private Slave slave;
 
     /// <summary>
@@ -50,5 +49,5 @@
     /// </summary>
     private ConfigManager() {
-      slave = new HeuristicLab.Services.Hive.Common.DataTransfer.Slave();
+      slave = new Slave();
       slave.Id = GetUniqueMachineId();
       slave.Name = Environment.MachineName;
@@ -65,5 +64,5 @@
     /// </summary>
     /// <returns>the ClientInfo object</returns>
-    public HeuristicLab.Services.Hive.Common.DataTransfer.Slave GetClientInfo() {
+    public Slave GetClientInfo() {
       //TODO: how to display connectedsince in gui?
       //hardwareInfo.Login = WcfService.Instance.ConnectedSince;
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/Core.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/Core.cs	(revision 5597)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/Core.cs	(revision 5599)
@@ -26,12 +26,11 @@
 using System.ServiceModel;
 using System.Threading;
-using HeuristicLab.Clients.Hive.Slave.ServiceContracts;
+using HeuristicLab.Clients.Hive.SlaveCore.ServiceContracts;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Services.Hive.Common;
-using HeuristicLab.Services.Hive.Common.DataTransfer;
-
-
-namespace HeuristicLab.Clients.Hive.Slave {
+
+
+
+namespace HeuristicLab.Clients.Hive.SlaveCore {
   /// <summary>
   /// The core component of the Hive Client
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/DummyListener.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/DummyListener.cs	(revision 5597)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/DummyListener.cs	(revision 5599)
@@ -22,12 +22,12 @@
 using System;
 using System.ServiceModel;
-using HeuristicLab.Clients.Hive.Slave.ServiceContracts;
+using HeuristicLab.Clients.Hive.SlaveCore.ServiceContracts;
 
-namespace HeuristicLab.Clients.Hive.Slave {
+namespace HeuristicLab.Clients.Hive.SlaveCore {
 
   [CallbackBehavior(ConcurrencyMode = ConcurrencyMode.Reentrant)]
   internal class DummyListener : ISlaveCommunicationCallbacks {
 
-    public void OnStatusChanged(Slave.StatusCommons status) {
+    public void OnStatusChanged(SlaveCore.StatusCommons status) {
       throw new NotImplementedException("Dummy Listener, don't subscribe it!");
     }
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/Executor.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/Executor.cs	(revision 5597)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/Executor.cs	(revision 5599)
@@ -27,8 +27,7 @@
 using HeuristicLab.Hive;
 using HeuristicLab.PluginInfrastructure;
-using HeuristicLab.Services.Hive.Common.DataTransfer;
 
 
-namespace HeuristicLab.Clients.Hive.Slave {
+namespace HeuristicLab.Clients.Hive.SlaveCore {
   public class Executor : MarshalByRefObject, IDisposable {
     public Guid JobId { get; set; }
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/HeartbeatManager.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/HeartbeatManager.cs	(revision 5597)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/HeartbeatManager.cs	(revision 5599)
@@ -24,8 +24,6 @@
 using System.Threading;
 using HeuristicLab.Common;
-using HeuristicLab.Services.Hive.Common;
-using HeuristicLab.Services.Hive.Common.DataTransfer;
 
-namespace HeuristicLab.Clients.Hive.Slave {
+namespace HeuristicLab.Clients.Hive.SlaveCore {
   /// <summary>
   /// Heartbeat class. It sends every x ms a heartbeat to the server and receives a Message
@@ -87,5 +85,5 @@
             }
             if (wcfService.ConnState == NetworkEnum.WcfConnState.Connected) {
-              HeuristicLab.Services.Hive.Common.DataTransfer.Slave info = ConfigManager.Instance.GetClientInfo();
+              Slave info = ConfigManager.Instance.GetClientInfo();
 
               Heartbeat heartBeatData = new Heartbeat {
@@ -103,9 +101,9 @@
                 SlaveClientCom.Instance.ClientCom.LogMessage("Error getting response from Heartbeat");
                 OnExceptionOccured(new Exception("Error getting response from Heartbeat"));
+              } else {
+                SlaveClientCom.Instance.ClientCom.LogMessage("Heartbeat Response received: ");
+                msgs.ForEach(mc => SlaveClientCom.Instance.ClientCom.LogMessage(mc.Message.ToString()));
+                msgs.ForEach(mc => MessageQueue.GetInstance().AddMessage(mc));
               }
-
-              SlaveClientCom.Instance.ClientCom.LogMessage("Heartbeat Response received: ");
-              msgs.ForEach(mc => SlaveClientCom.Instance.ClientCom.LogMessage(mc.Message.ToString()));
-              msgs.ForEach(mc => MessageQueue.GetInstance().AddMessage(mc));
             }
           }
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/HeuristicLab.Clients.Hive.Slave-3.4.csproj
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/HeuristicLab.Clients.Hive.Slave-3.4.csproj	(revision 5597)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/HeuristicLab.Clients.Hive.Slave-3.4.csproj	(revision 5599)
@@ -9,6 +9,6 @@
     <OutputType>Library</OutputType>
     <AppDesignerFolder>Properties</AppDesignerFolder>
-    <RootNamespace>HeuristicLab.Clients.Hive.Slave</RootNamespace>
-    <AssemblyName>HeuristicLab.Clients.Hive.Slave-3.4</AssemblyName>
+    <RootNamespace>HeuristicLab.Clients.Hive.SlaveCore</RootNamespace>
+    <AssemblyName>HeuristicLab.Clients.Hive.SlaveCore-3.4</AssemblyName>
     <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
     <FileAlignment>512</FileAlignment>
@@ -108,5 +108,4 @@
       <SubType>Code</SubType>
     </Compile>
-    <Compile Include="ExecutorMessageContainer.cs" />
     <Compile Include="MessageQueue.cs" />
     <Compile Include="NetworkEnum.cs" />
@@ -149,8 +148,4 @@
       <Name>HeuristicLab.Hive-3.4</Name>
     </ProjectReference>
-    <ProjectReference Include="..\..\HeuristicLab.Services.Hive.Common\3.4\HeuristicLab.Services.Hive.Common-3.4.csproj">
-      <Project>{14424A16-48D4-445E-80BF-DDF617548BBB}</Project>
-      <Name>HeuristicLab.Services.Hive.Common-3.4</Name>
-    </ProjectReference>
   </ItemGroup>
   <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/HeuristicLabClientsHiveSlavePlugin.cs.frame
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/HeuristicLabClientsHiveSlavePlugin.cs.frame	(revision 5597)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/HeuristicLabClientsHiveSlavePlugin.cs.frame	(revision 5599)
@@ -5,7 +5,7 @@
 using HeuristicLab.PluginInfrastructure;
 
-namespace HeuristicLab.Clients.Hive.Slave {
-  [Plugin("HeuristicLab.Clients.Hive.Slave", "3.4.0.$WCREV$")]
-  [PluginFile("HeuristicLab.Clients.Hive.Slave-3.4.dll", PluginFileType.Assembly)]
+namespace HeuristicLab.Clients.Hive.SlaveCore {
+  [Plugin("HeuristicLab.Clients.Hive.SlaveCore", "3.4.0.$WCREV$")]
+  [PluginFile("HeuristicLab.Clients.Hive.SlaveCore-3.4.dll", PluginFileType.Assembly)]
   [PluginDependency("HeuristicLab.Common", "3.3")]
   [PluginDependency("HeuristicLab.Core", "3.3")]
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/InvalidStateException.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/InvalidStateException.cs	(revision 5597)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/InvalidStateException.cs	(revision 5599)
@@ -22,5 +22,5 @@
 using System;
 
-namespace HeuristicLab.Clients.Hive.Slave {
+namespace HeuristicLab.Clients.Hive.SlaveCore {
   [global::System.Serializable]
   public class InvalidStateException : Exception {
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/JobStatus.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/JobStatus.cs	(revision 5597)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/JobStatus.cs	(revision 5599)
@@ -23,5 +23,5 @@
 using System.Runtime.Serialization;
 
-namespace HeuristicLab.Clients.Hive.Slave {
+namespace HeuristicLab.Clients.Hive.SlaveCore {
   [DataContract]
   public class JobStatus {
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/Logger.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/Logger.cs	(revision 5597)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/Logger.cs	(revision 5599)
@@ -1,5 +1,5 @@
 ﻿using System;
 
-namespace HeuristicLab.Clients.Hive.Slave {
+namespace HeuristicLab.Clients.Hive.SlaveCore {
   /// <summary>
   /// Dummy implementation for a logger until a better solution is found;
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/MessageQueue.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/MessageQueue.cs	(revision 5597)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/MessageQueue.cs	(revision 5599)
@@ -23,7 +23,6 @@
 using System.Collections.Generic;
 using System.Threading;
-using HeuristicLab.Services.Hive.Common;
 
-namespace HeuristicLab.Clients.Hive.Slave {
+namespace HeuristicLab.Clients.Hive.SlaveCore {
 
   /// <summary>
@@ -33,7 +32,7 @@
 
     private static MessageQueue instance = null;
-    
+
     private Queue<MessageContainer> queue = null;
-    private Semaphore semaphore = null;                 
+    private Semaphore semaphore = null;
 
     /// <summary>
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/NetworkEnum.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/NetworkEnum.cs	(revision 5597)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/NetworkEnum.cs	(revision 5599)
@@ -21,5 +21,5 @@
 
 
-namespace HeuristicLab.Clients.Hive.Slave {
+namespace HeuristicLab.Clients.Hive.SlaveCore {
   public class NetworkEnum {
     public enum WcfConnState { Connected, Disconnected, Failed }  
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/PluginCache.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/PluginCache.cs	(revision 5597)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/PluginCache.cs	(revision 5599)
@@ -29,7 +29,6 @@
 using System.Runtime.Serialization.Formatters.Binary;
 using System.Threading;
-using HeuristicLab.Services.Hive.Common.DataTransfer;
-
-namespace HeuristicLab.Clients.Hive.Slave {
+
+namespace HeuristicLab.Clients.Hive.SlaveCore {
   public class PluginCache {
     private static object locker = new object();
@@ -108,8 +107,8 @@
         CopyFile(baseDir, targetDir, "ICSharpCode.SharpZipLib License.txt");
 
-        // copy slave plugins, otherwise its not possible to register the UnhandledException handler to the appdomain
-        CopyFile(baseDir, targetDir, "HeuristicLab.Clients.Hive.Slave-3.4.dll");
+        // copy slave plugins, otherwise its not possible to register the UnhandledException handler to the appdomain        
+        CopyFile(baseDir, targetDir, "HeuristicLab.Clients.Hive.SlaveCore-3.4.dll");
         CopyFile(baseDir, targetDir, "HeuristicLab.Clients.Hive-3.4.dll");
-        CopyFile(baseDir, targetDir, "HeuristicLab.Services.Hive.Common-3.4.dll");
+        //CopyFile(baseDir, targetDir, "HeuristicLab.Services.Hive.Common-3.4.dll");
         CopyFile(baseDir, targetDir, "HeuristicLab.Hive-3.4.dll");
         CopyFile(baseDir, targetDir, "HeuristicLab.Clients.Common-3.3.dll");
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/PluginUtil.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/PluginUtil.cs	(revision 5597)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/PluginUtil.cs	(revision 5599)
@@ -27,5 +27,5 @@
 using HeuristicLab.Common;
 
-namespace HeuristicLab.Clients.Hive.Slave {
+namespace HeuristicLab.Clients.Hive.SlaveCore {
   public static class PluginUtil {
     #region Required Plugin Search
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/Properties/Settings.Designer.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/Properties/Settings.Designer.cs	(revision 5597)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/Properties/Settings.Designer.cs	(revision 5599)
@@ -9,5 +9,5 @@
 //------------------------------------------------------------------------------
 
-namespace HeuristicLab.Clients.Hive.Slave.Properties {
+namespace HeuristicLab.Clients.Hive.SlaveCore.Properties {
     
     
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/ServiceContracts/ISlaveCommunication.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/ServiceContracts/ISlaveCommunication.cs	(revision 5597)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/ServiceContracts/ISlaveCommunication.cs	(revision 5599)
@@ -22,5 +22,5 @@
 using System.ServiceModel;
 
-namespace HeuristicLab.Clients.Hive.Slave.ServiceContracts {
+namespace HeuristicLab.Clients.Hive.SlaveCore.ServiceContracts {
 
   [ServiceContract(CallbackContract = typeof(ISlaveCommunicationCallbacks))]
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/ServiceContracts/ISlaveCommunicationCallbacks.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/ServiceContracts/ISlaveCommunicationCallbacks.cs	(revision 5597)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/ServiceContracts/ISlaveCommunicationCallbacks.cs	(revision 5599)
@@ -21,7 +21,7 @@
 
 using System.ServiceModel;
-using HeuristicLab.Clients.Hive.Slave;
+using HeuristicLab.Clients.Hive.SlaveCore;
 
-namespace HeuristicLab.Clients.Hive.Slave.ServiceContracts {
+namespace HeuristicLab.Clients.Hive.SlaveCore.ServiceContracts {
   public interface ISlaveCommunicationCallbacks {
 
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/SlaveClientCom.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/SlaveClientCom.cs	(revision 5597)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/SlaveClientCom.cs	(revision 5599)
@@ -21,7 +21,7 @@
 
 using System.ServiceModel;
-using HeuristicLab.Clients.Hive.Slave.ServiceContracts;
+using HeuristicLab.Clients.Hive.SlaveCore.ServiceContracts;
 
-namespace HeuristicLab.Clients.Hive.Slave {
+namespace HeuristicLab.Clients.Hive.SlaveCore {
 
   /// <summary>
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/SlaveCommunicationService.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/SlaveCommunicationService.cs	(revision 5597)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/SlaveCommunicationService.cs	(revision 5599)
@@ -22,8 +22,8 @@
 using System.Collections.Generic;
 using System.ServiceModel;
-using HeuristicLab.Clients.Hive.Slave.ServiceContracts;
-using HeuristicLab.Services.Hive.Common;
+using HeuristicLab.Clients.Hive.SlaveCore.ServiceContracts;
 
-namespace HeuristicLab.Clients.Hive.Slave {
+
+namespace HeuristicLab.Clients.Hive.SlaveCore {
 
   public class SlaveCommunicationService : ISlaveCommunication {
@@ -64,5 +64,5 @@
     }
 
-    public void StatusChanged(Slave.StatusCommons status) {
+    public void StatusChanged(SlaveCore.StatusCommons status) {
       subscribers.ForEach(delegate(ISlaveCommunicationCallbacks callback) {
         if (((ICommunicationObject)callback).State == CommunicationState.Opened) {
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/SlaveStatusInfo.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/SlaveStatusInfo.cs	(revision 5597)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/SlaveStatusInfo.cs	(revision 5599)
@@ -22,5 +22,5 @@
 using System;
 
-namespace HeuristicLab.Clients.Hive.Slave {
+namespace HeuristicLab.Clients.Hive.SlaveCore {
   public class SlaveStatusInfo {
     static public int JobsProcessed { get; set; }
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/StatusCommons.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/StatusCommons.cs	(revision 5597)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/StatusCommons.cs	(revision 5599)
@@ -24,5 +24,5 @@
 using System.Runtime.Serialization;
 
-namespace HeuristicLab.Clients.Hive.Slave {
+namespace HeuristicLab.Clients.Hive.SlaveCore {
   /// <summary>
   /// Various Status Information for the ClientConsole
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/WcfService.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/WcfService.cs	(revision 5597)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/WcfService.cs	(revision 5599)
@@ -23,9 +23,6 @@
 using System.Collections.Generic;
 using HeuristicLab.Common;
-using HeuristicLab.Services.Hive.Common;
-using HeuristicLab.Services.Hive.Common.DataTransfer;
-using HeuristicLab.Services.Hive.Common.ServiceContracts;
 
-namespace HeuristicLab.Clients.Hive.Slave {
+namespace HeuristicLab.Clients.Hive.SlaveCore {
 
   /// <summary>
@@ -74,5 +71,5 @@
     /// Connects with the Server, registers the events and fires the Connected (and quiet possibly the ConnectionRestored) Event.
     /// </summary>
-    public void Connect(HeuristicLab.Services.Hive.Common.DataTransfer.Slave slaveInfo) {
+    public void Connect(Slave slaveInfo) {
       CallHiveService(service => {
         ConnState = NetworkEnum.WcfConnState.Connected;
@@ -126,4 +123,5 @@
         JobState before = job.State;
         job.SetState(JobState.Transferring, slaveId, "");
+
         service.UpdateJob(job);
 
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Tests/ExperimentManagerTests.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Tests/ExperimentManagerTests.cs	(revision 5597)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Tests/ExperimentManagerTests.cs	(revision 5599)
@@ -20,18 +20,11 @@
 #endregion
 
-using System;
-using System.Linq;
-using HeuristicLab.Services.Hive.Common.ServiceContracts;
+using System.Threading;
+using HeuristicLab.Algorithms.GeneticAlgorithm;
+using HeuristicLab.Core;
+using HeuristicLab.Optimization;
+using HeuristicLab.Problems.TestFunctions;
+using HeuristicLab.Services.Hive;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
-using HeuristicLab.Clients.Hive.Slave.Tests;
-using HeuristicLab.Clients.Hive.Jobs;
-using HeuristicLab.Algorithms.GeneticAlgorithm;
-using HeuristicLab.Problems.TestFunctions;
-using HeuristicLab.Optimization;
-using HeuristicLab.Core;
-using System.Threading;
-using HeuristicLab.PluginInfrastructure.Manager;
-using System.IO;
-using System.Reflection;
 
 namespace HeuristicLab.Clients.Hive.Tests {
@@ -43,7 +36,7 @@
     public static void MyClassInitialize(TestContext testContext) {
       //PluginLoader.pluginAssemblies.Any();
-      ServiceLocator.Instance = new MockServiceLocator();
+      //ServiceLocator.Instance = new MockServiceLocator();
     }
-    
+
     [TestMethod]
     public void TestExperimentUpload() {
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Tests/HeuristicLab.Clients.Hive.Tests-3.4.csproj
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Tests/HeuristicLab.Clients.Hive.Tests-3.4.csproj	(revision 5597)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Tests/HeuristicLab.Clients.Hive.Tests-3.4.csproj	(revision 5599)
@@ -295,5 +295,7 @@
       <HintPath>..\..\..\..\..\..\Program Files\HeuristicLab 3.3\log4net.dll</HintPath>
     </Reference>
-    <Reference Include="Microsoft.VisualStudio.QualityTools.UnitTestFramework, Version=10.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL" />
+    <Reference Include="Microsoft.VisualStudio.QualityTools.UnitTestFramework">
+      <HintPath>..\..\..\..\..\..\Program Files\Microsoft Visual Studio 10.0\Common7\IDE\PublicAssemblies\Microsoft.VisualStudio.QualityTools.UnitTestFramework.dll</HintPath>
+    </Reference>
     <Reference Include="Mono.Cecil">
       <HintPath>..\..\..\..\..\..\Program Files\HeuristicLab 3.3\Mono.Cecil.dll</HintPath>
@@ -306,4 +308,8 @@
       <RequiredTargetFramework>3.5</RequiredTargetFramework>
     </Reference>
+    <Reference Include="System.Runtime.Serialization" />
+    <Reference Include="System.Runtime.Serialization.Formatters.Soap" />
+    <Reference Include="System.ServiceModel" />
+    <Reference Include="System.ServiceModel.Web" />
     <Reference Include="WeifenLuo.WinFormsUI.Docking-2.3.1">
       <HintPath>..\..\..\..\..\..\Program Files\HeuristicLab 3.3\WeifenLuo.WinFormsUI.Docking-2.3.1.dll</HintPath>
@@ -319,33 +325,13 @@
   </ItemGroup>
   <ItemGroup>
-    <Compile Include="ExperimentManagerTests.cs" />
-    <Compile Include="Mocks\MockServiceLocator.cs" />
+    <Compile Include="ExperimentManagerTests.cs">
+      <SubType>Code</SubType>
+    </Compile>
+    <Compile Include="Mocks\MockServiceLocator.cs">
+      <SubType>Code</SubType>
+    </Compile>
     <Compile Include="Properties\AssemblyInfo.cs" />
   </ItemGroup>
   <ItemGroup>
-    <ProjectReference Include="..\HeuristicLab.Clients.Hive.Slave.ConsoleClient-3.4\HeuristicLab.Clients.Hive.Slave.ConsoleClient-3.4.csproj">
-      <Project>{464D70B8-2D91-485C-B622-22E4A4891C68}</Project>
-      <Name>HeuristicLab.Clients.Hive.Slave.ConsoleClient-3.4</Name>
-    </ProjectReference>
-    <ProjectReference Include="..\HeuristicLab.Clients.Hive.Slave.SlaveTrayIcon\HeuristicLab.Clients.Hive.Slave.SlaveTrayIcon.csproj">
-      <Project>{7C4B1DE4-FC9A-4448-BCF8-3CB3FA3CB8FA}</Project>
-      <Name>HeuristicLab.Clients.Hive.Slave.SlaveTrayIcon</Name>
-    </ProjectReference>
-    <ProjectReference Include="..\HeuristicLab.Clients.Hive.Slave.SlaveWindowsService\HeuristicLab.Clients.Hive.Slave.SlaveWindowsService.csproj">
-      <Project>{BA8001DE-E83C-4B1F-8B2E-2695C4222491}</Project>
-      <Name>HeuristicLab.Clients.Hive.Slave.SlaveWindowsService</Name>
-    </ProjectReference>
-    <ProjectReference Include="..\HeuristicLab.Clients.Hive.Slave.Tests\HeuristicLab.Clients.Hive.Slave.Tests-3.4.csproj">
-      <Project>{C4CBD11E-1B83-464A-B0AD-0DC0FF7E57AA}</Project>
-      <Name>HeuristicLab.Clients.Hive.Slave.Tests-3.4</Name>
-    </ProjectReference>
-    <ProjectReference Include="..\HeuristicLab.Clients.Hive.Slave.Views\3.4\HeuristicLab.Clients.Hive.Slave.Views-3.4.csproj">
-      <Project>{8C0D9F39-397F-4DBE-856F-BC4DC0FE23F8}</Project>
-      <Name>HeuristicLab.Clients.Hive.Slave.Views-3.4</Name>
-    </ProjectReference>
-    <ProjectReference Include="..\HeuristicLab.Clients.Hive.Slave\3.4\HeuristicLab.Clients.Hive.Slave-3.4.csproj">
-      <Project>{989FE92B-484E-41EE-87E2-6A24AF0381D8}</Project>
-      <Name>HeuristicLab.Clients.Hive.Slave-3.4</Name>
-    </ProjectReference>
     <ProjectReference Include="..\HeuristicLab.Clients.Hive.Views\3.4\HeuristicLab.Clients.Hive.Views-3.4.csproj">
       <Project>{E1D6C801-892A-406A-B606-F158E36DD3C3}</Project>
@@ -377,4 +363,5 @@
     </ProjectReference>
   </ItemGroup>
+  <ItemGroup />
   <Import Project="$(MSBuildBinPath)\Microsoft.CSharp.targets" />
   <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Tests/Mocks/MockServiceLocator.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Tests/Mocks/MockServiceLocator.cs	(revision 5597)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Tests/Mocks/MockServiceLocator.cs	(revision 5599)
@@ -1,8 +1,7 @@
 ﻿using System;
 using HeuristicLab.Services.Hive;
-using HeuristicLab.Services.Hive.Common.ServiceContracts;
 
 namespace HeuristicLab.Clients.Hive.Tests {
-  public class MockServiceLocator : IServiceLocator {
+  public class MockServiceLocator {
     private string username;
     public string Username {
@@ -17,13 +16,14 @@
     }
 
-    public IHiveService GetService() {
-      return new HiveService();
+    public HeuristicLab.Services.Hive.Common.ServiceContracts.IHiveService GetService() {
+      HiveService service = new HeuristicLab.Services.Hive.HiveService();
+      return service;
     }
 
-    public void CallHiveService(Action<IHiveService> call) {
+    public void CallHiveService(Action<HeuristicLab.Services.Hive.Common.ServiceContracts.IHiveService> call) {
       call(GetService());
     }
 
-    public T CallHiveService<T>(Func<IHiveService, T> call) {
+    public T CallHiveService<T>(Func<HeuristicLab.Services.Hive.Common.ServiceContracts.IHiveService, T> call) {
       return call(GetService());
     }
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Views/3.4/HeuristicLab.Clients.Hive.Views-3.4.csproj
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Views/3.4/HeuristicLab.Clients.Hive.Views-3.4.csproj	(revision 5597)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Views/3.4/HeuristicLab.Clients.Hive.Views-3.4.csproj	(revision 5599)
@@ -116,4 +116,5 @@
     <Reference Include="System.Core" />
     <Reference Include="System.Drawing" />
+    <Reference Include="System.Runtime.Serialization" />
     <Reference Include="System.Windows.Forms" />
     <Reference Include="System.Windows.Forms.DataVisualization" />
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive/3.4/Administration/HiveAdministrationClient.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive/3.4/Administration/HiveAdministrationClient.cs	(revision 5597)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive/3.4/Administration/HiveAdministrationClient.cs	(revision 5599)
@@ -24,5 +24,4 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Services.Hive.Common.DataTransfer;
 
 namespace HeuristicLab.Clients.Hive.Administration {
